package reparto_izca.keymon.lat;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class c_buscar_subs_0 {


public static RemoteObject  _b_noventa_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("b_noventa_Click (c_buscar) ","c_buscar",4,__ref.getField(false, "ba"),__ref,85);
if (RapidSub.canDelegate("b_noventa_click")) { return __ref.runUserSub(false, "c_buscar","b_noventa_click", __ref);}
int _i = 0;
RemoteObject _label1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
RemoteObject _label2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
 BA.debugLineNum = 85;BA.debugLine="Sub b_noventa_Click";
Debug.ShouldStop(1048576);
 BA.debugLineNum = 86;BA.debugLine="c=Starter.skmt.ExecQuery(\"select NV_CLIENTE,NV_MO";
Debug.ShouldStop(2097152);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_buscar._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select NV_CLIENTE,NV_MOTIVO,NV_COMM FROM NOVENTA ORDER BY NV_CLIENTE asc"))));
 BA.debugLineNum = 87;BA.debugLine="ListView1.Clear";
Debug.ShouldStop(4194304);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("Clear");
 BA.debugLineNum = 89;BA.debugLine="If c.RowCount>0 Then";
Debug.ShouldStop(16777216);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 90;BA.debugLine="For i=0 To c.RowCount -1";
Debug.ShouldStop(33554432);
{
final int step4 = 1;
final int limit4 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step4 > 0 && _i <= limit4) || (step4 < 0 && _i >= limit4) ;_i = ((int)(0 + _i + step4))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 91;BA.debugLine="c.Position=i";
Debug.ShouldStop(67108864);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 92;BA.debugLine="Dim label1 As Label";
Debug.ShouldStop(134217728);
_label1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 93;BA.debugLine="label1 = ListView1.TwoLinesLayout.Label";
Debug.ShouldStop(268435456);
_label1 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 94;BA.debugLine="label1.TextSize = 10";
Debug.ShouldStop(536870912);
_label1.runMethod(true,"setTextSize",BA.numberCast(float.class, 10));
 BA.debugLineNum = 95;BA.debugLine="label1.TextColor = Colors.Black";
Debug.ShouldStop(1073741824);
_label1.runMethod(true,"setTextColor",c_buscar.__c.getField(false,"Colors").getField(true,"Black"));
 BA.debugLineNum = 96;BA.debugLine="Dim label2 As Label";
Debug.ShouldStop(-2147483648);
_label2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 97;BA.debugLine="label2 = ListView1.TwoLinesLayout.SecondLabel";
Debug.ShouldStop(1);
_label2 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"SecondLabel");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 98;BA.debugLine="label2.TextSize = 10";
Debug.ShouldStop(2);
_label2.runMethod(true,"setTextSize",BA.numberCast(float.class, 10));
 BA.debugLineNum = 99;BA.debugLine="label2.TextColor = Colors.Blue";
Debug.ShouldStop(4);
_label2.runMethod(true,"setTextColor",c_buscar.__c.getField(false,"Colors").getField(true,"Blue"));
 BA.debugLineNum = 100;BA.debugLine="ListView1.AddTwoLines(c.GetString(\"NV_CLIENTE\")";
Debug.ShouldStop(8);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("AddTwoLines",(Object)(BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("NV_CLIENTE"))))),(Object)(BA.ObjectToCharSequence(RemoteObject.concat(RemoteObject.createImmutable("Motivo #"),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("NV_MOTIVO"))),RemoteObject.createImmutable(" Comentario $"),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("NV_COMM")))))));
 }
}Debug.locals.put("i", _i);
;
 };
 BA.debugLineNum = 103;BA.debugLine="End Sub";
Debug.ShouldStop(64);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_appear(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Appear (c_buscar) ","c_buscar",4,__ref.getField(false, "ba"),__ref,41);
if (RapidSub.canDelegate("b4xpage_appear")) { return __ref.runUserSub(false, "c_buscar","b4xpage_appear", __ref);}
int _i = 0;
RemoteObject _label1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
RemoteObject _label2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
 BA.debugLineNum = 41;BA.debugLine="Sub B4XPage_Appear";
Debug.ShouldStop(256);
 BA.debugLineNum = 42;BA.debugLine="p_principal.Width = Root.Width";
Debug.ShouldStop(512);
__ref.getField(false,"_p_principal" /*RemoteObject*/ ).runMethod(true,"setWidth",__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getWidth"));
 BA.debugLineNum = 43;BA.debugLine="p_principal.Height = Root.Height";
Debug.ShouldStop(1024);
__ref.getField(false,"_p_principal" /*RemoteObject*/ ).runMethod(true,"setHeight",__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getHeight"));
 BA.debugLineNum = 44;BA.debugLine="Subs.centraPanel(p_principal, Root.Width)";
Debug.ShouldStop(2048);
c_buscar._subs.runVoidMethod ("_centrapanel" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_p_principal" /*RemoteObject*/ )),(Object)(__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getWidth")));
 BA.debugLineNum = 46;BA.debugLine="c=Starter.skmt.ExecQuery(\"select REP_CLIENTE, REP";
Debug.ShouldStop(8192);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_buscar._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select REP_CLIENTE, REP_PRONOMBRE, REP_CANT, REP_COSTO_TOT FROM REPARTO"))));
 BA.debugLineNum = 47;BA.debugLine="ListView1.Clear";
Debug.ShouldStop(16384);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("Clear");
 BA.debugLineNum = 49;BA.debugLine="If c.RowCount>0 Then";
Debug.ShouldStop(65536);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 50;BA.debugLine="For i=0 To c.RowCount -1";
Debug.ShouldStop(131072);
{
final int step7 = 1;
final int limit7 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step7 > 0 && _i <= limit7) || (step7 < 0 && _i >= limit7) ;_i = ((int)(0 + _i + step7))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 51;BA.debugLine="c.Position=i";
Debug.ShouldStop(262144);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 52;BA.debugLine="Dim label1 As Label";
Debug.ShouldStop(524288);
_label1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 53;BA.debugLine="label1 = ListView1.TwoLinesLayout.Label";
Debug.ShouldStop(1048576);
_label1 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 54;BA.debugLine="label1.TextSize = 10";
Debug.ShouldStop(2097152);
_label1.runMethod(true,"setTextSize",BA.numberCast(float.class, 10));
 BA.debugLineNum = 55;BA.debugLine="label1.TextColor = Colors.Black";
Debug.ShouldStop(4194304);
_label1.runMethod(true,"setTextColor",c_buscar.__c.getField(false,"Colors").getField(true,"Black"));
 BA.debugLineNum = 56;BA.debugLine="Dim label2 As Label";
Debug.ShouldStop(8388608);
_label2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 57;BA.debugLine="label2 = ListView1.TwoLinesLayout.SecondLabel";
Debug.ShouldStop(16777216);
_label2 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"SecondLabel");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 58;BA.debugLine="label2.TextSize = 10";
Debug.ShouldStop(33554432);
_label2.runMethod(true,"setTextSize",BA.numberCast(float.class, 10));
 BA.debugLineNum = 59;BA.debugLine="label2.TextColor = Colors.Blue";
Debug.ShouldStop(67108864);
_label2.runMethod(true,"setTextColor",c_buscar.__c.getField(false,"Colors").getField(true,"Blue"));
 BA.debugLineNum = 60;BA.debugLine="ListView1.AddTwoLines(c.GetString(\"REP_CLIENTE\"";
Debug.ShouldStop(134217728);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("AddTwoLines",(Object)(BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("REP_CLIENTE"))))),(Object)(BA.ObjectToCharSequence(RemoteObject.concat(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("REP_PRONOMBRE"))),RemoteObject.createImmutable("   Cantidad #"),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("REP_CANT"))),RemoteObject.createImmutable(" SubTotal $"),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("REP_COSTO_TOT")))))));
 }
}Debug.locals.put("i", _i);
;
 };
 BA.debugLineNum = 63;BA.debugLine="c.Close";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 64;BA.debugLine="End Sub";
Debug.ShouldStop(-2147483648);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_closerequest(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_CloseRequest (c_buscar) ","c_buscar",4,__ref.getField(false, "ba"),__ref,70);
if (RapidSub.canDelegate("b4xpage_closerequest")) { return __ref.runUserSub(false, "c_buscar","b4xpage_closerequest", __ref);}
ResumableSub_B4XPage_CloseRequest rsub = new ResumableSub_B4XPage_CloseRequest(null,__ref);
rsub.remoteResumableSub = anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSubForFilter();
rsub.resume(null, null);
return RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.keywords.Common.ResumableSubWrapper"), rsub.remoteResumableSub);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_B4XPage_CloseRequest extends BA.ResumableSub {
public ResumableSub_B4XPage_CloseRequest(reparto_izca.keymon.lat.c_buscar parent,RemoteObject __ref) {
this.parent = parent;
this.__ref = __ref;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
RemoteObject __ref;
reparto_izca.keymon.lat.c_buscar parent;

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_CloseRequest (c_buscar) ","c_buscar",4,__ref.getField(false, "ba"),__ref,70);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
{
parent.__c.runVoidMethod ("ReturnFromResumableSub",this.remoteResumableSub,RemoteObject.createImmutable(null));return;}
case 0:
//C
this.state = -1;
Debug.locals.put("_ref", __ref);
 BA.debugLineNum = 73;BA.debugLine="B4XPages.ShowPage(\"Principal\")";
Debug.ShouldStop(256);
parent._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("Principal")));
 BA.debugLineNum = 76;BA.debugLine="Return False";
Debug.ShouldStop(2048);
if (true) {
parent.__c.runVoidMethod ("ReturnFromResumableSub",this.remoteResumableSub,(parent.__c.getField(true,"False")));return;};
 BA.debugLineNum = 77;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static RemoteObject  _b4xpage_created(RemoteObject __ref,RemoteObject _root1) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Created (c_buscar) ","c_buscar",4,__ref.getField(false, "ba"),__ref,16);
if (RapidSub.canDelegate("b4xpage_created")) { return __ref.runUserSub(false, "c_buscar","b4xpage_created", __ref, _root1);}
int _i = 0;
RemoteObject _label1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
RemoteObject _label2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
Debug.locals.put("Root1", _root1);
 BA.debugLineNum = 16;BA.debugLine="Private Sub B4XPage_Created (Root1 As B4XView)";
Debug.ShouldStop(32768);
 BA.debugLineNum = 17;BA.debugLine="Root = Root1";
Debug.ShouldStop(65536);
__ref.setField ("_root" /*RemoteObject*/ ,_root1);
 BA.debugLineNum = 19;BA.debugLine="Root.LoadLayout(\"buscar\")";
Debug.ShouldStop(262144);
__ref.getField(false,"_root" /*RemoteObject*/ ).runVoidMethodAndSync ("LoadLayout",(Object)(RemoteObject.createImmutable("buscar")),__ref.getField(false, "ba"));
 BA.debugLineNum = 20;BA.debugLine="c=Starter.skmt.ExecQuery(\"select REP_CLIENTE, REP";
Debug.ShouldStop(524288);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_buscar._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select REP_CLIENTE, REP_PRONOMBRE, REP_CANT, REP_COSTO_TOT FROM REPARTO"))));
 BA.debugLineNum = 21;BA.debugLine="ListView1.Clear";
Debug.ShouldStop(1048576);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("Clear");
 BA.debugLineNum = 22;BA.debugLine="If c.RowCount>0 Then";
Debug.ShouldStop(2097152);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 23;BA.debugLine="For i=0 To c.RowCount -1";
Debug.ShouldStop(4194304);
{
final int step6 = 1;
final int limit6 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step6 > 0 && _i <= limit6) || (step6 < 0 && _i >= limit6) ;_i = ((int)(0 + _i + step6))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 24;BA.debugLine="c.Position=i";
Debug.ShouldStop(8388608);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 25;BA.debugLine="Dim label1 As Label";
Debug.ShouldStop(16777216);
_label1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 26;BA.debugLine="label1 = ListView1.TwoLinesLayout.Label";
Debug.ShouldStop(33554432);
_label1 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 27;BA.debugLine="label1.TextSize = 10";
Debug.ShouldStop(67108864);
_label1.runMethod(true,"setTextSize",BA.numberCast(float.class, 10));
 BA.debugLineNum = 28;BA.debugLine="label1.TextColor = Colors.Black";
Debug.ShouldStop(134217728);
_label1.runMethod(true,"setTextColor",c_buscar.__c.getField(false,"Colors").getField(true,"Black"));
 BA.debugLineNum = 29;BA.debugLine="Dim label2 As Label";
Debug.ShouldStop(268435456);
_label2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 30;BA.debugLine="label2 = ListView1.TwoLinesLayout.SecondLabel";
Debug.ShouldStop(536870912);
_label2 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"SecondLabel");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 31;BA.debugLine="label2.TextSize = 10";
Debug.ShouldStop(1073741824);
_label2.runMethod(true,"setTextSize",BA.numberCast(float.class, 10));
 BA.debugLineNum = 32;BA.debugLine="label2.TextColor = Colors.Blue";
Debug.ShouldStop(-2147483648);
_label2.runMethod(true,"setTextColor",c_buscar.__c.getField(false,"Colors").getField(true,"Blue"));
 BA.debugLineNum = 33;BA.debugLine="ListView1.AddTwoLines(c.GetString(\"REP_CLIENTE\"";
Debug.ShouldStop(1);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("AddTwoLines",(Object)(BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("REP_CLIENTE"))))),(Object)(BA.ObjectToCharSequence(RemoteObject.concat(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("REP_PRONOMBRE"))),RemoteObject.createImmutable("   Cantidad #"),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("REP_CANT"))),RemoteObject.createImmutable(" SubTotal $"),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("REP_COSTO_TOT")))))));
 }
}Debug.locals.put("i", _i);
;
 };
 BA.debugLineNum = 36;BA.debugLine="c.Close";
Debug.ShouldStop(8);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 37;BA.debugLine="End Sub";
Debug.ShouldStop(16);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _class_globals(RemoteObject __ref) throws Exception{
 //BA.debugLineNum = 1;BA.debugLine="Sub Class_Globals";
 //BA.debugLineNum = 2;BA.debugLine="Private Root As B4XView 'ignore";
c_buscar._root = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper");__ref.setField("_root",c_buscar._root);
 //BA.debugLineNum = 3;BA.debugLine="Private xui As XUI 'ignore";
c_buscar._xui = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper.XUI");__ref.setField("_xui",c_buscar._xui);
 //BA.debugLineNum = 4;BA.debugLine="Dim c As Cursor";
c_buscar._c = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_c",c_buscar._c);
 //BA.debugLineNum = 5;BA.debugLine="Dim ListView1 As ListView";
c_buscar._listview1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.ListViewWrapper");__ref.setField("_listview1",c_buscar._listview1);
 //BA.debugLineNum = 6;BA.debugLine="Dim b_noventa As Button";
c_buscar._b_noventa = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_b_noventa",c_buscar._b_noventa);
 //BA.debugLineNum = 7;BA.debugLine="Private p_principal As Panel";
c_buscar._p_principal = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");__ref.setField("_p_principal",c_buscar._p_principal);
 //BA.debugLineNum = 8;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _initialize(RemoteObject __ref,RemoteObject _ba) throws Exception{
try {
		Debug.PushSubsStack("Initialize (c_buscar) ","c_buscar",4,__ref.getField(false, "ba"),__ref,11);
if (RapidSub.canDelegate("initialize")) { return __ref.runUserSub(false, "c_buscar","initialize", __ref, _ba);}
__ref.runVoidMethodAndSync("innerInitializeHelper", _ba);
Debug.locals.put("ba", _ba);
 BA.debugLineNum = 11;BA.debugLine="Public Sub Initialize As Object";
Debug.ShouldStop(1024);
 BA.debugLineNum = 12;BA.debugLine="Return Me";
Debug.ShouldStop(2048);
if (true) return __ref;
 BA.debugLineNum = 13;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _listview1_itemlongclick(RemoteObject __ref,RemoteObject _position,RemoteObject _value) throws Exception{
try {
		Debug.PushSubsStack("ListView1_ItemLongClick (c_buscar) ","c_buscar",4,__ref.getField(false, "ba"),__ref,79);
if (RapidSub.canDelegate("listview1_itemlongclick")) { return __ref.runUserSub(false, "c_buscar","listview1_itemlongclick", __ref, _position, _value);}
Debug.locals.put("Position", _position);
Debug.locals.put("Value", _value);
 BA.debugLineNum = 79;BA.debugLine="Sub ListView1_ItemLongClick (Position As Int, Valu";
Debug.ShouldStop(16384);
 BA.debugLineNum = 80;BA.debugLine="Starter.skmt.ExecNonQuery(\"delete from CUENTAA\")";
Debug.ShouldStop(32768);
c_buscar._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("delete from CUENTAA")));
 BA.debugLineNum = 81;BA.debugLine="Starter.skmt.ExecNonQuery2(\"INSERT INTO CUENTAA V";
Debug.ShouldStop(65536);
c_buscar._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO CUENTAA VALUES (?)")),(Object)(c_buscar.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {_value})))));
 BA.debugLineNum = 82;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
Debug.ShouldStop(131072);
c_buscar._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("Cliente")));
 BA.debugLineNum = 83;BA.debugLine="End Sub";
Debug.ShouldStop(262144);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _regresar_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("Regresar_Click (c_buscar) ","c_buscar",4,__ref.getField(false, "ba"),__ref,66);
if (RapidSub.canDelegate("regresar_click")) { return __ref.runUserSub(false, "c_buscar","regresar_click", __ref);}
 BA.debugLineNum = 66;BA.debugLine="Sub Regresar_Click";
Debug.ShouldStop(2);
 BA.debugLineNum = 67;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
Debug.ShouldStop(4);
c_buscar._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("Cliente")));
 BA.debugLineNum = 68;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}